//---------------------------------------------------------------------------

#ifndef capg_abonadosH
#define capg_abonadosH
#include <Buttons.hpp>
#include <Classes.hpp>
#include <ComCtrls.hpp>
#include <Controls.hpp>
#include <Db.hpp>
#include <DBCtrls.hpp>
#include <DBGrids.hpp>
#include <DBTables.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <Grids.hpp>
#include <Mask.hpp>
#include <StdCtrls.hpp>
#include <DB.hpp>
//---------------------------------------------------------------------------
/*
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <DBGrids.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include <Db.hpp>
#include <DBTables.hpp>
#include <Buttons.hpp>
#include <DBCtrls.hpp>
#include <Mask.hpp>
#include <Graphics.hpp>
#include <DB.hpp>
*/
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TPanel *Panel1;
        TBevel *Bevel1;
        TLabel *Label1;
        TPageControl *PageControl1;
        TTabSheet *TabSheet1;
        TTabSheet *TabSheet2;
        TPanel *Panel2;
        TLabel *Label2;
        TComboBox *SelIndex;
        TEdit *Buscador;
        TDBGrid *DBGrid1;
        TStatusBar *StatusBar1;
        TTable *TbAbonados;
        TDataSource *DsAbonados;
        TPageControl *PageControl2;
        TTabSheet *TabSheet3;
        TLabel *Label6;
        TLabel *Label10;
        TLabel *Label9;
        TLabel *Label8;
        TDBEdit *DBEdit3;
        TDBEdit *DBEdit4;
        TDBEdit *DBEdit5;
        TTabSheet *TabSheet4;
        TBevel *Bevel2;
        TDBGrid *DBGrid2;
        TLabel *Label7;
        TDBEdit *DBEdit7;
        TLabel *Label11;
        TDBEdit *DBEdit8;
        TDBEdit *DBEdit9;
        TLabel *Label12;
        TTable *TbVehiculos;
        TDataSource *DsVehiculos;
        TBitBtn *BitBtn2;
        TTable *TbBusqMatriculas;
        TLabel *Label13;
        TDBLookupComboBox *DBLookupComboBox2;
        TTable *TbCards;
        TImage *CardOK;
        TDBCheckBox *DBCheckBox1;
        TTable *TbTAbonados;
        TDataSource *DsTAbonados;
        TComboBox *ComboBox1;
        TTabSheet *TabSheet5;
        TComboBox *ComboBox2;
        TBitBtn *RenovarAbono;
        TTable *TbFacturas;
        TDataSource *DsFacturas;
        TDBGrid *DBGrid3;
        TBitBtn *BitBtn1;
        TPanel *Panel3;
        TLabel *Label3;
        TDBEdit *DBEdit1;
        TLabel *Label4;
        TDBEdit *DBEdit2;
        TDBEdit *DBEdit6;
        TDBText *DBText1;
        TDBNavigator *DBNavigator1;
        TBitBtn *BitBtn3;
        void __fastcall TbAbonadosBeforeOpen(TDataSet *DataSet);
        void __fastcall TbVehiculosBeforeOpen(TDataSet *DataSet);
        void __fastcall DBGrid1DblClick(TObject *Sender);
        void __fastcall BuscadorKeyUp(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall BitBtn2Click(TObject *Sender);
        void __fastcall TbAbonadosBeforeDelete(TDataSet *DataSet);
        void __fastcall TbCardsBeforeOpen(TDataSet *DataSet);
        void __fastcall DBGrid2DrawColumnCell(TObject *Sender,
          const TRect &Rect, int DataCol, TColumn *Column,
          TGridDrawState State);
        void __fastcall TbVehiculosBeforeDelete(TDataSet *DataSet);
        void __fastcall DBGrid2DblClick(TObject *Sender);
        void __fastcall DsAbonadosUpdateData(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall PageControl2Change(TObject *Sender);
        void __fastcall PageControl1Change(TObject *Sender);
        void __fastcall ComboBox1Change(TObject *Sender);
        void __fastcall DsAbonadosDataChange(TObject *Sender,
          TField *Field);
        void __fastcall AvanzaCampo(TObject *Sender, char &Key);
        void __fastcall TbAbonadosNewRecord(TDataSet *DataSet);
        void __fastcall ComboBox2Change(TObject *Sender);
        void __fastcall RenovarAbonoClick(TObject *Sender);
        void __fastcall TbFacturasBeforeOpen(TDataSet *DataSet);
        void __fastcall DBGrid3DblClick(TObject *Sender);
        void __fastcall BitBtn1Click(TObject *Sender);
        void __fastcall BitBtn3Click(TObject *Sender);
private:	// User declarations
        TDateTime __fastcall DiasEnPeriodoDesde( TDateTime fechaE );
        Currency __fastcall ImporteDelPeriodo();

        Currency ImportesPeriodo[4];
        bool isSettingData;
        AnsiString cfgPWD;

public:		// User declarations
        __fastcall TForm1(TComponent* Owner);

};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
